%define srcver %version

Summary:	Initiate, or receive, a H.323 IP telephony call
Name:		ohphone
Version:	1.2.0
Release:	2mdk
License:	MPL
Group:		Networking/Other
Source0:	http://www.openh323.org/bin/%{name}_%{srcver}.tar.bz2
Patch0:		ohphone-1.1.1-make.patch.bz2
URL:		http://www.openh323.org/
BuildRequires:	openh323-devel >= 1.8.0 pwlib-devel >= 1.2.12 XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description 
ohphone is a command line application that can be used to listen for
incoming H.323 calls, or to initiate a call to a remote host. Although
originally intended as a test harneess for the OpenH323 project (see
http://www.openh323.org) it has developed into a fully functional
H.323 endpoint application.

%prep
%setup -qn %{name}
%patch0 -p1

%build
PWLIBDIR=/usr; export PWLIBDIR
OPENH323DIR=/usr; export OPENH323DIR
%{make} optshared OPTCCFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
%ifarch %ix86
install obj_linux_x86_?/%{name} $RPM_BUILD_ROOT%{_bindir}
%else
%ifarch alpha
install obj_linux_%{_arch}-*/%name %buildroot/%_bindir
%else
install obj_linux_%{_arch}_*/%name %buildroot/%_bindir
%endif
%endif
install %{name}.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ReadMe.txt
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*

%changelog
* Tue Mar 12 2002 Florin <florin@mandrakesoft.com> 1.2.0-2mdk
- rebuild against the latest pwlib

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Wed Dec  5 2001 Stew Benedict <sbenedict@mandrakesoft.com> 1.1.7-3mdk
- more non-x86 fix

* Mon Dec  3 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.1.7-2mdk
- fix non-x86 build

* Fri Nov 30 2001 Florin <florin@mandrakesoft.com> 1.1.7-1mdk
- 1.1.7
- add the ReadMe.txt file

* Tue Oct 23 2001 Florin <florin@mandrakesoft.com> 1.1.4-3mdk
-  recompile with the new pwlib1 and openh323_1

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.4-2mdk
- add Requires on the pwlib1 and openh323 version-release

* Sun Jul 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.4-1mdk
- 1.1.4

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-3mdk
-BuildRequires:	openh323-devel pwlib-devel

* Tue Jan 23 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.1-2mdk
- Aloow build on non %%ix86 architectures

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-1mdk
- first Linux-Mandrake version.
